import React from 'react'
import renderer from 'react-test-renderer'
import AssignmentButton from './AssignmentButton'

const defaultProps = { onClick: () => {} }
describe('<AssignmentButton />', () => {
  it('renders correctly', () => {
    const tree = renderer.create(<AssignmentButton {...defaultProps} />).toJSON()
    expect(tree).toMatchSnapshot()
  })
  it('renders correctly with assignment count', () => {
    const tree = renderer
      .create(<AssignmentButton assignmentCount="10" {...defaultProps} />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })
  it('renders correctly with loading state', () => {
    const tree = renderer
      .create(<AssignmentButton assignmentCount="10" isAssigning {...defaultProps} />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })
  it('renders correctly with disabled state', () => {
    const tree = renderer
      .create(<AssignmentButton assignmentCount="10" disabled {...defaultProps} />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })
})
