import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { action } from '@storybook/addon-actions'
// Set up interactivity with knobs
import { text, boolean, select } from '@storybook/addon-knobs'
// Import our component from this folder
import AssignmentButton from './AssignmentButton'
import { mobileBreakPoints } from '../Button'

const stories = storiesOf('AssignmentButton', module)

const mobileSizes = Object.keys(mobileBreakPoints)
const assignmentCount = () => text('Assignment Count:', '10')
const isAssigning = () => boolean('Loading State:', false)
const isDisabled = () => boolean('Disabled:', false)
const hideLabelAtBreakPoint = () => select('Hide at breakpoint:', mobileSizes, 'medium')

stories.add('Assignment default', () => {
  return (
    <div
      style={{
        backgroundColor: '#333333',
      }}
    >
      <AssignmentButton
        onClick={action('clicked')}
        disabled={isDisabled()}
        isAssigning={isAssigning()}
        hideLabelAtBreakPoint={mobileBreakPoints[hideLabelAtBreakPoint()]}
        assignmentCount={assignmentCount()}
      />
    </div>
  )
})
