import React from 'react'
import renderer from 'react-test-renderer'
import BackToLink from './BackToLink'

describe('<BackToLink />', () => {
  it('renders correctly', () => {
    const tree = renderer
      .create(<BackToLink to="http://www.facebook.com" useReactRouter={false} />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })

  describe('Given the event context', () => {
    it('should show data-event-context', () => {
      const eventContext = {
        abc: 'abc',
      }
      const container = renderer
        .create(
          <BackToLink
            to="http://www.facebook.com"
            eventContext={eventContext}
            useReactRouter={false}
          />
        )
        .toJSON()

      expect(container).toMatchSnapshot()
    })

    it('should not show data-event-context', () => {
      const eventContext = {}
      const container = renderer
        .create(
          <BackToLink
            to="http://www.facebook.com"
            eventContext={eventContext}
            useReactRouter={false}
          />
        )
        .toJSON()

      expect(container).toMatchSnapshot()
    })
  })
})
