import React from 'react'
import PropTypes from 'prop-types'
import classNames from 'classnames'

import styles from './badge.less'

import { useLocalizeAll } from '../../utils/localize'

const Badge = ({ badgeText, badgeClassName, badgeRef, ...props }) => {
  const localizedBadgeText = useLocalizeAll`${badgeText}`
  const badgeStyle = classNames(styles.badge, badgeClassName)
  return (
    <div className={badgeStyle} ref={badgeRef} {...props}>
      {localizedBadgeText}
    </div>
  )
}

Badge.defaultProps = {
  badgeClassName: null,
  badgeRef: null,
}

Badge.propTypes = {
  badgeText: PropTypes.string.isRequired,
  badgeClassName: PropTypes.string,
  badgeRef: PropTypes.shape({}),
}

export default Badge
