import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
// Set up interactivity with knobs
import { text, boolean } from '@storybook/addon-knobs'
import { action } from '@storybook/addon-actions'
import ErrorMessage from '../ErrorMessage'

// Import our component from this folder
import Checkbox from './Checkbox'

const stories = storiesOf('Form Elements', module)

const isDisabled = () => boolean('Disabled:', false, 'Optional')
const id = () => text('Id:', 'unique-identifier', 'Require')
const error = () => boolean('Has error:', false, 'Optional')
const label = () => text('Label:', 'Check me!', 'Optional')
const indeterminate = () => boolean('Show Indeterminate State:', false, 'Optional')
const large = () => boolean('Show Large State', false, 'Optional')
const inline = () => boolean('inline:', false, 'Optional')

stories.add('Checkbox', () => (
  <div>
    <Checkbox
      disabled={isDisabled()}
      error={error()}
      id={id()}
      indeterminate={indeterminate()}
      inline={inline()}
      label={label()}
      large={large()}
      onClick={action('clicked')}
    />
    {error() && <ErrorMessage id="checkbox1-error" message="There's an error here." />}
  </div>
))
