import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
// Import our component from this folder
import Dropdown from './Dropdown'
import Icon, { icons } from '../Icons'
import styles from './stories.less'
import { buttonTypes } from '../Button'

const stories = storiesOf('Dropdown', module)

stories.add('Dropdown', () => {
  return (
    <div>
      <Dropdown label="Dropdown">
        <button type="button" role="menuitem" onClick={e => e.preventDefault()}>
          Dropdown with a longer label added
        </button>
        <button disabled type="button" role="menuitem" onClick={e => e.preventDefault()}>
          Disabled
        </button>
        <button type="button" role="menuitem" onClick={e => e.preventDefault()}>
          Link There
        </button>
        <button type="button" role="menuitem" onClick={e => e.preventDefault()}>
          Link Away
        </button>
      </Dropdown>
      <br />
      <h2>Here we will add some text so this bad boy scrolls!</h2>
      <p>
        Sed cursus turpis vitae tortor. Praesent congue erat at massa. Aliquam eu nunc. Aenean
        tellus metus, bibendum sed, posuere ac, mattis non, nunc. Fusce pharetra convallis urna.
        Pellentesque egestas, neque sit amet convallis pulvinar, justo nulla eleifend augue, ac
        auctor orci leo non est. Proin pretium, leo ac pellentesque mollis, felis nunc ultrices
        eros, sed gravida augue augue mollis justo. Cras risus ipsum, faucibus ut, ullamcorper id,
        varius ac, leo. Nam eget dui. Praesent metus tellus, elementum eu, semper a, adipiscing nec,
        purus. Sed aliquam ultrices mauris. In consectetuer turpis ut velit. Praesent venenatis
        metus at tortor pulvinar varius. Cras dapibus. Donec sodales sagittis magna. Praesent
        vestibulum dapibus nibh. Pellentesque egestas, neque sit amet convallis pulvinar, justo
        nulla eleifend augue, ac auctor orci leo non est. Curabitur turpis. Duis vel nibh at velit
        scelerisque suscipit. Praesent venenatis metus at tortor pulvinar varius. Ut id nisl quis
        enim dignissim sagittis. Aenean viverra rhoncus pede. Maecenas nec odio et ante tincidunt
        tempus. Ut a nisl id ante tempus hendrerit. Vestibulum dapibus nunc ac augue. Sed cursus
        turpis vitae tortor. Praesent congue erat at massa. Aliquam eu nunc. Aenean tellus metus,
        bibendum sed, posuere ac, mattis non, nunc. Fusce pharetra convallis urna. Pellentesque
        egestas, neque sit amet convallis pulvinar, justo nulla eleifend augue, ac auctor orci leo
        non est. Proin pretium, leo ac pellentesque mollis, felis nunc ultrices eros, sed gravida
        augue augue mollis justo. Cras risus ipsum, faucibus ut, ullamcorper id, varius ac, leo. Nam
        eget dui. Praesent metus tellus, elementum eu, semper a, adipiscing nec, purus. Sed aliquam
        ultrices mauris. In consectetuer turpis ut velit. Praesent venenatis metus at tortor
        pulvinar varius. Cras dapibus. Donec sodales sagittis magna. Praesent vestibulum dapibus
        nibh. Pellentesque egestas, neque sit amet convallis pulvinar, justo nulla eleifend augue,
        ac auctor orci leo non est. Curabitur turpis. Duis vel nibh at velit scelerisque suscipit.
        Praesent venenatis metus at tortor pulvinar varius. Ut id nisl quis enim dignissim sagittis.
        Aenean viverra rhoncus pede. Maecenas nec odio et ante tincidunt tempus. Ut a nisl id ante
        tempus hendrerit. Vestibulum dapibus nunc ac augue.Sed cursus turpis vitae tortor. Praesent
        congue erat at massa. Aliquam eu nunc. Aenean tellus metus, bibendum sed, posuere ac, mattis
        non, nunc. Fusce pharetra convallis urna. Pellentesque egestas, neque sit amet convallis
        pulvinar, justo nulla eleifend augue, ac auctor orci leo non est. Proin pretium, leo ac
        pellentesque mollis, felis nunc ultrices eros, sed gravida augue augue mollis justo. Cras
        risus ipsum, faucibus ut, ullamcorper id, varius ac, leo. Nam eget dui. Praesent metus
        tellus, elementum eu, semper a, adipiscing nec, purus. Sed aliquam ultrices mauris. In
        consectetuer turpis ut velit. Praesent venenatis metus at tortor pulvinar varius. Cras
        dapibus. Donec sodales sagittis magna. Praesent vestibulum dapibus nibh. Pellentesque
        egestas, neque sit amet convallis pulvinar, justo nulla eleifend augue, ac auctor orci leo
        non est. Curabitur turpis. Duis vel nibh at velit scelerisque suscipit. Praesent venenatis
        metus at tortor pulvinar varius. Ut id nisl quis enim dignissim sagittis. Aenean viverra
        rhoncus pede. Maecenas nec odio et ante tincidunt tempus. Ut a nisl id ante tempus
        hendrerit. Vestibulum dapibus nunc ac augue.
      </p>
    </div>
  )
})
stories.add('With custom label component', () => {
  return (
    <Dropdown
      className={buttonTypes.secondary}
      labelComponent={
        <span className={styles.customLabel}>
          <Icon style={{ marginRight: '5px' }} icon={icons.LABEL} size={13} />
          Label
        </span>
      }
      hideCarret
    >
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Drop it down with a large label
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
    </Dropdown>
  )
})

stories.add('With scrollable menu', () => {
  return (
    <Dropdown
      className={buttonTypes.secondary}
      labelComponent={
        <span className={styles.customLabel}>
          <Icon style={{ marginRight: '5px' }} icon={icons.LABEL} size={13} />
          Label
        </span>
      }
      hideCarret
    >
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Drop it down with a large label
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link There
      </a>
      <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
        Link Away
      </a>
    </Dropdown>
  )
})

stories.add('With open left on', () => {
  return (
    <div style={{ display: 'flex', justifyContent: 'flex-end' }}>
      <Dropdown
        className={buttonTypes.secondary}
        labelComponent={
          <span className={styles.customLabel}>
            <Icon style={{ marginRight: '5px' }} icon={icons.LABEL} size={13} />
            Label
          </span>
        }
        openLeft
      >
        <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
          Drop it down with a large label
        </a>
        <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
          Link There
        </a>
        <a href="#linkone" role="menuitem" onClick={e => e.preventDefault()}>
          Link Away
        </a>
      </Dropdown>
    </div>
  )
})
