import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { withKnobs, text, object } from '@storybook/addon-knobs'

// Import our component from this folder
import ExternalLink from './ExternalLink'

const stories = storiesOf('Links', module)
stories.addDecorator(withKnobs)
stories.add('External Link', () => {
  const linkText = text('Link Text:', 'My accessible link!')
  const eventLabel = text('Event Label:', null)
  const eventContext = object('Event Context:', null)

  return (
    <ExternalLink
      to="http://google.com"
      eventLabel={eventLabel}
      linkText={linkText}
      eventContext={eventContext}
    />
  )
})
