import React, { useState } from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { text, boolean } from '@storybook/addon-knobs'
// Import our component from this folder
import TextInputFormGroup from './index'

const stories = storiesOf('Form Group', module)

stories.add('Text Input Form Group', () => {
  const [value, setValue] = useState('')
  const className = text('className:', 'custom-class', 'Optional')
  const errorMessage = text('errorMessage:', null, 'Optional')
  const label = text('labelProps.label:', 'My custom label', 'Required')
  const required = boolean('labelProps.isRequired: ', false, 'Optional')
  const labelClassName = text('labelProps.className: ', null, 'Optional')

  text('inputProps.value:', 'Input Value', 'Required')
  text('inputProps.onChange:', 'Input callback', 'Required')

  return (
    <>
      <TextInputFormGroup
        className={className}
        errorMessage={errorMessage}
        forId="example-label-input"
        inputProps={{
          onChange: e => setValue(e.target.value),
          value,
        }}
        labelProps={{
          className: labelClassName,
          isRequired: required,
          label,
        }}
      />
    </>
  )
})
