import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { withKnobs, text, boolean, number, select } from '@storybook/addon-knobs'
// Import our component from this folder
import Icon from './Icon'
import icons from './icons'

const stories = storiesOf('Icons', module)
stories.addDecorator(withKnobs({ escapeHTML: false }))

stories.add('Basic Icon', () => {
  const iconArray = Object.keys(icons)
  const icon = select('icons:', iconArray, 'SUBMITTABLE_LOGO', 'Change Icon')
  const size = number('size:', 30)
  const insideCircle = boolean('Circle Icon:', false)
  const color = text('color:', '#333')
  return (
    <div>
      <Icon icon={icons[icon]} size={size} insideCircle={insideCircle} style={{ fill: color }} />
    </div>
  )
})
