import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { text, select } from '@storybook/addon-knobs'
// Import our component from this folder
import InfoBanner, { infoBannerTypes } from './InfoBanner'

const stories = storiesOf('Banners', module)

const type = () => select('Type:', infoBannerTypes, infoBannerTypes.info)
const header = () => text('Header:', 'Are you sure?')
const message = () => text('Message:', 'This action is super spicy and could be real bad.')
const linkText = () => text('Link text:', 'Learn more')
const link = () => text('Url link:', 'submittable.com')

// TODO: rename to Info Banner when other statuses are supported
stories.add('Info Banner', () => {
  return (
    <InfoBanner
      header={header()}
      link={link()}
      linkText={linkText()}
      message={message()}
      type={type()}
    />
  )
})

stories.add('Info Banner with child element passed', () => {
  return (
    <InfoBanner
      header={header()}
      link={link()}
      linkText={linkText()}
      message={message()}
      type={type()}
    >
      <p>
        Some custom message here <a href="/">Link</a>
      </p>
    </InfoBanner>
  )
})
