import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { withKnobs, text, object } from '@storybook/addon-knobs'
// Import our component from this folder
import InternalLink from './InternalLink'

const stories = storiesOf('Links', module)
stories.addDecorator(withKnobs)

stories.add('Internal Link', () => {
  const linkText = text('Link Text:', 'My accessible link!')
  const eventLabel = text('Event Label:', null)
  const eventContext = object('Event Context:', null)

  return (
    <InternalLink
      to="./?path=/story/links--back-to-link"
      linkText={linkText}
      eventLabel={eventLabel}
      useReactRouter={false}
      eventContext={eventContext}
    />
  )
})
