import React from 'react'
import renderer from 'react-test-renderer'
import Label from './Label'

describe('<Label />', () => {
  it('renders default correctly', () => {
    const tree = renderer.create(<Label label="This is a label" />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders legend element correctly', () => {
    const tree = renderer.create(<Label label="This is a label" isLegend />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders header state correctly', () => {
    const tree = renderer.create(<Label label="This is a label" formGroupHeading />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders inline state correctly', () => {
    const tree = renderer.create(<Label label="This is a label" inline />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders required state correctly', () => {
    const tree = renderer.create(<Label label="This is a label" required />).toJSON()
    expect(tree).toMatchSnapshot()
  })
})
