import React from 'react'
import PropTypes from 'prop-types'
import style from './loadingShimmer.less'

const LoadingShimmer = ({ height, width }) => (
  <div style={{ height, width }}>
    <div className={style.shimmerAnimation} />
  </div>
)

LoadingShimmer.defaultProps = {
  height: 20,
  width: '100%',
}

LoadingShimmer.propTypes = {
  /** Use height and width to form the desired size of your loading shape */
  height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  /** Use height and width to form the desired size of your loading shape */
  width: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
}

export default LoadingShimmer
