import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { withKnobs, text } from '@storybook/addon-knobs'
// Import our component from this folder
import LoadingShimmer from './LoadingShimmer'

const stories = storiesOf('Loading Components', module)
stories.addDecorator(withKnobs)

stories.add('Shimmer', () => {
  const height1 = text('Shimmer 1 height:', '40px')
  const width1 = text('Shimmer 1 width:', '50%')
  const height2 = text('Shimmer 2 height:', '40px')
  const width2 = text('Shimmer 2 width:', '75%')
  const height3 = text('Shimmer 3 height:', '200px')
  const width3 = text('Shimmer 3 width:', '90%')
  return (
    <div>
      <LoadingShimmer height={height1} width={width1} />
      <LoadingShimmer height={height2} width={width2} />
      <LoadingShimmer height={height3} width={width3} />
    </div>
  )
})
