import React from 'react'
import renderer from 'react-test-renderer'
import LoadingSpinner from './LoadingSpinner'

describe('<LoadingSpinner />', () => {
  it('renders correctly', () => {
    const tree = renderer.create(<LoadingSpinner />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders correctly at xs size', () => {
    const tree = renderer.create(<LoadingSpinner size="xs" />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders correctly at small size', () => {
    const tree = renderer.create(<LoadingSpinner size="small" />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders correctly at medium size', () => {
    const tree = renderer.create(<LoadingSpinner size="medium" />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders correctly at large size', () => {
    const tree = renderer.create(<LoadingSpinner size="large" />).toJSON()
    expect(tree).toMatchSnapshot()
  })
})
