import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
// Import our component from this folder
import Button, { buttonTypes } from '../Button'
import Modal, { useModal } from './Modal'
import { icons } from '../Icons'

const stories = storiesOf('Modals', module)

stories.add(
  'Modal',
  () =>
    React.createElement(() => {
      const { isShowing, toggleModal } = useModal()
      const { isShowing: isShowingInner, toggleModal: toggleModal2 } = useModal()
      return (
        <div>
          <Button onClick={toggleModal}>Show Modal</Button>
          {isShowing && (
            <Modal onClose={toggleModal} icon={icons.CALENDAR} focusLast>
              <h1>What a Modal!</h1>
              <p>This s where you can add whatever you want to the modal! Sweet right?</p>
              <div style={{ marginTop: '50px', textAlign: 'right' }}>
                <Button type={buttonTypes.secondary} onClick={toggleModal}>
                  Cancel and Close
                </Button>
                <Button
                  onClick={() => {
                    if (isShowing) toggleModal()
                    toggleModal2()
                  }}
                >
                  Confirm
                </Button>
              </div>
            </Modal>
          )}
          {isShowingInner && (
            <Modal onClose={toggleModal2} icon={icons.DUPLICATE_2} enableCloseButton>
              <h1>Thanks for Confirming. You are the best!</h1>
            </Modal>
          )}
        </div>
      )
    }),
  {
    info: {
      source: false,
      propTables: [Modal],
    },
  }
)
