import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { withKnobs, number, select, boolean } from '@storybook/addon-knobs'
// Import our component from this folder
import ModalIcon from './ModalIcon'
import { icons } from '../Icons'

const stories = storiesOf('Modals', module)
stories.addDecorator(withKnobs({ escapeHTML: false }))

stories.add('Modal Icon', () => {
  const iconArray = Object.keys(icons)
  const icon = select('Icons', iconArray, 'MAYBE', 'Change Icon')
  const size = number('Size', 30)
  const shouldHaveCloseButton = boolean('Should modal have close button?', false)

  const modalContent = (
    <div>
      <h2>Read Me!</h2>
      <p>I can show you the way.</p>
    </div>
  )

  return (
    <div>
      <ModalIcon icon={icons[icon]} iconSize={size} shouldHaveCloseButton={shouldHaveCloseButton}>
        {modalContent}
      </ModalIcon>
    </div>
  )
})
