import React from 'react'
import renderer from 'react-test-renderer'
import NativeSelect from './NativeSelect'

describe('<NativeSelect />', () => {
  const fruits = ['apple', 'banana', 'cherry', 'orange', 'peach', 'kiwi']

  it('renders default correctly', () => {
    const tree = renderer.create(<NativeSelect options={fruits} />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders small select correctly', () => {
    const tree = renderer.create(<NativeSelect options={fruits} small />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders disabled state correctly', () => {
    const tree = renderer.create(<NativeSelect options={fruits} disabled />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders error state correctly', () => {
    const tree = renderer.create(<NativeSelect options={fruits} error />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders input group first state correctly', () => {
    const tree = renderer.create(<NativeSelect options={fruits} inputGroupFirst />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders input group last state correctly', () => {
    const tree = renderer.create(<NativeSelect options={fruits} inputGroupLast />).toJSON()
    expect(tree).toMatchSnapshot()
  })
})
