import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { withKnobs, boolean } from '@storybook/addon-knobs'
// Import our component from this folder
import NativeSelect from './NativeSelect'

const stories = storiesOf('Form Elements', module)
stories.addDecorator(withKnobs)

const fruits = ['apple', 'banana', 'cherry', 'orange', 'peach', 'kiwi']
const numbers = Array(51)
  .fill()
  .map(Number.call, Number)

const hasError = () => boolean('Error:', false)
const isDisabled = () => boolean('Disabled:', false)

stories.add('Native Select Basic', () => (
  <NativeSelect disabled={isDisabled()} error={hasError()} options={fruits} />
))
stories.add('Native Select Small', () => (
  <NativeSelect disabled={isDisabled()} error={hasError()} small options={numbers} />
))
