import React from 'react'
import renderer from 'react-test-renderer'
import PhoneInput from './PhoneInput'

describe('<PhoneInput />', () => {
  it('renders correctly', () => {
    const tree = renderer
      .create(<PhoneInput defaultCountry="US" onChange={value => value} id="PHONE33" />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders error state correctly', () => {
    const tree = renderer
      .create(<PhoneInput defaultCountry="US" onChange={value => value} id="PHONE33" error />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders disabled state correctly', () => {
    const tree = renderer
      .create(<PhoneInput defaultCountry="US" onChange={value => value} id="PHONE33" disabled />)
      .toJSON()
    expect(tree).toMatchSnapshot()
  })
})
