import React, { useState } from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { boolean, select } from '@storybook/addon-knobs'
import { getCountries, isValidPhoneNumber } from 'react-phone-number-input/input'
// Import our component from this folder
import PhoneInput from './PhoneInput'
import Label from '../Label'
import ErrorMessage from '../ErrorMessage'

const stories = storiesOf('Form Elements', module)

const countryArray = getCountries()

const disabled = () => boolean('Disabled:', false)
const defaultCountry = () => select('Default Country:', countryArray, 'US')
const error = () => boolean('Error:', false)

stories.add('Phone Input', () => {
  const [value, setValue] = useState('')
  return (
    <div className="container">
      <Label label="Phone Input" forId="PHONE33" />
      <PhoneInput
        id="PHONE33"
        disabled={disabled()}
        defaultCountry={defaultCountry()}
        error={error()}
        onChange={val => setValue(val)}
      />
      {(error() || !isValidPhoneNumber(value)) && (
        <ErrorMessage id="PHONE33" message="Please enter a valid phone number." />
      )}
    </div>
  )
})
