import React from 'react'
import renderer from 'react-test-renderer'
import RadioButton from './RadioButton'

describe('<RadioButton />', () => {
  it('renders correctly', () => {
    const tree = renderer.create(<RadioButton id="radio-id" />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders checked state correctly', () => {
    const tree = renderer.create(<RadioButton id="radio-id" isChecked />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders disabled state correctly', () => {
    const tree = renderer.create(<RadioButton id="radio-id" disabled />).toJSON()
    expect(tree).toMatchSnapshot()
  })
})
