import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { action } from '@storybook/addon-actions'
import { boolean } from '@storybook/addon-knobs'

// Import our component from this folder
import RadioButton from './RadioButton'

const stories = storiesOf('Form Elements', module)

const isChecked = () => boolean('Checked:', false)
const isDisabled = () => boolean('Disabled:', false)

stories.add('Radio Button', () => (
  <div>
    <RadioButton
      onClick={action('clicked')}
      checked={isChecked()}
      disabled={isDisabled()}
      label="Check Me!"
      id="radio1"
    />
  </div>
))
