import React from 'react'
import renderer from 'react-test-renderer'

import TextInput from './TextInput'

describe('<TextInput />', () => {
  it('renders default correctly', () => {
    const tree = renderer.create(<TextInput />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders error state correctly', () => {
    const tree = renderer.create(<TextInput error />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders disabled state correctly', () => {
    const tree = renderer.create(<TextInput disabled />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders multi-line input correctly', () => {
    const tree = renderer.create(<TextInput isMultiLine />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders input group first state correctly', () => {
    const tree = renderer.create(<TextInput inputGroupFirst />).toJSON()
    expect(tree).toMatchSnapshot()
  })

  it('renders input group last state correctly', () => {
    const tree = renderer.create(<TextInput inputGroupLast />).toJSON()
    expect(tree).toMatchSnapshot()
  })
})
