import React from 'react'
// Import the storybook libraries
import { storiesOf } from '@storybook/react'
import { action } from '@storybook/addon-actions'
import { text, boolean } from '@storybook/addon-knobs'

import { TextInput, Label } from '../index'

const stories = storiesOf('Form Elements', module)

const label = () => text('Label Text:', 'What is a question?')
const formGroupHeading = () => boolean('Use large label:', false)
const isMultiLine = () => boolean('Is a multi-line text area:', false)
const disabled = () => boolean('Disable input:', false)
const error = () => boolean('Show error:', false)

stories.add('Text Input', () => {
  return (
    <div style={{ width: '75%' }} data-notranslate>
      <Label label={label()} formGroupHeading={formGroupHeading()} forId="text-input1" />
      <TextInput
        onClick={action('clicked')}
        placeholder="Placeholder Text"
        id="text-input1"
        isMultiLine={isMultiLine()}
        disabled={disabled()}
        error={error()}
      />
    </div>
  )
})
