import getDataEventContext from './analytics'

describe('Analytics', () => {
  test('should get the data-event-context when the object is passed', () => {
    const obj = {
      abc: 'abc',
    }
    expect(getDataEventContext(obj)).toStrictEqual({ 'data-event-context': '{"abc":"abc"}' })
  })

  test('should not get the data-event-context when the param is not an object', () => {
    expect(getDataEventContext({})).toStrictEqual(false)
  })

  test('should not get the data-event-context when the object is empty', () => {
    expect(getDataEventContext()).toStrictEqual(false)
  })
})
