import snakeCase from 'lodash/snakeCase'

/** Works like Array.prototype.filter but on objects
 * @param {Object} obj - object to filter
 * @param {function} cb - if returns true item stays else isn't copied passed (key, value)
 * @returns {Object} - the new object!
 */
export const objectFilter = (obj, cb) => {
  const newObj = {}
  Object.keys(obj).forEach(key => {
    const val = obj[key]
    if (cb(key, val)) newObj[key] = val
  })
  return newObj
}

/** Works like Array.prototype.filter but on objects
 * @param {Object} obj - object to filter
 * @param {function} cb - if returns true item stays else isn't copied passed (key, value)
 * @returns {Object} - the new object!
 */
export const removeEmpyItems = obj => objectFilter(obj, key => Boolean(obj[key]))

/**
 * Snake_cases object keys
 * @param {Object} obj - object to sort
 * @returns {Object} - object with keys snake_case
 */
export const snakeCaseObjectKeys = obj =>
  Object.keys(obj).reduce((newObj, key) => {
    // eslint-disable-next-line no-param-reassign
    newObj[snakeCase(key)] = obj[key]
    return newObj
  }, {})
