import { objectFilter } from '.'
import { removeEmpyItems, snakeCaseObjectKeys } from './objectUtils'

describe('object utils', () => {
  describe('objectFilter', () => {
    it('should take an object and a callback and return a new object based the filter', () => {
      const obj = { itemOne: 1, itemTwo: 2, itemThree: 3, itemFour: 4 }
      const newObject = objectFilter(obj, key => obj[key] < 3)
      expect(newObject).toEqual({ itemOne: 1, itemTwo: 2 })
    })
  })
  describe('removeEmpyItems', () => {
    it('should take an object and return a new object based with empty values removed', () => {
      const obj = { itemOne: 1, itemTwo: 2, itemThree: 3, itemFour: undefined, itemFive: null }
      const newObject = removeEmpyItems(obj)
      expect(newObject).toEqual({ itemOne: 1, itemTwo: 2, itemThree: 3 })
    })
  })
  describe('snakeCaseObjectKeys', () => {
    it('should take an object and return an object with the object keys snake_case', () => {
      const object = { itemOne: 1, itemTwo: 2, itemThree: 3 }
      const newObject = snakeCaseObjectKeys(object)
      expect(newObject).toEqual({ item_one: 1, item_two: 2, item_three: 3 })
    })
  })
})
